Skip to main content
DELETE
/
decks
/
{deckId}
/
jobs
/
{stepId}
Delete a Job
curl --request DELETE \
  --url https://sandbox.deck.co/api/v1/decks/{deckId}/jobs/{stepId} \
  --header 'x-deck-client-id: <api-key>' \
  --header 'x-deck-secret: <api-key>'
{
  "deck_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "job_code": "<string>",
  "deleted": true
}

Authorizations

x-deck-client-id
string
header
required

Enter your client id

x-deck-secret
string
header
required

Enter your secret

Path Parameters

deckId
string<uuid>
required
stepId
string<uuid>
required

Response

OK

deck_id
string<uuid>
required

The identifier for the deck.

step_id
string<uuid>
required

The step identifier that was removed.

job_code
string
required

The job code of the removed job.

deleted
boolean
required

Indicates if the removal was successful.